Bug 67097 - kernel BUG at page_alloc.c:117! (and 131!)
kernel BUG at page_alloc.c:117! (and 131!)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-19 19:24 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-19 19:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-19 19:24:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
This seems to occur when a user logouts of the Xserver, and the desktop manager
reclaims the screen.  Here's the messages log:
Jun 16 23:35:12 bernieb kde(pam_unix)[934]: session closed for user bernie
Jun 16 23:35:12 bernieb kernel: NVRM: AGPGART: freed 16 pages
Jun 16 23:35:12 bernieb kernel: NVRM: AGPGART: backend released
Jun 16 23:35:13 bernieb kernel: NVRM: AGPGART: VIA Apollo KT133 chipset
Jun 16 23:35:13 bernieb kernel: NVRM: AGPGART: aperture: 64M @ 0xe8000000
Jun 16 23:35:13 bernieb kernel: NVRM: AGPGART: aperture mapped from 0xe8000000
to 0xd5c14000
Jun 16 23:35:13 bernieb kernel: NVRM: AGPGART: mode 4x
Jun 16 23:35:13 bernieb kernel: NVRM: AGPGART: allocated 16 pages
Jun 16 23:35:13 bernieb modprobe: modprobe: Can't locate module char-major-81
Jun 17 22:46:27 bernieb kde(pam_unix)[1129]: session opened for user bernie by
(uid=0)
Jun 17 22:46:34 bernieb modprobe: modprobe: Can't locate module sound-slot-1
Jun 17 22:46:34 bernieb modprobe: modprobe: Can't locate module sound-service-1-0
Jun 17 22:46:34 bernieb modprobe: modprobe: Can't locate module sound-slot-1
Jun 17 22:46:34 bernieb modprobe: modprobe: Can't locate module sound-service-1-0
Jun 17 23:16:38 bernieb kernel: usb-uhci.c: interrupt, status 28, frame# 9
Jun 17 23:16:38 bernieb kernel: usb-uhci.c: Host controller halted, trying to
restart.
Jun 17 23:17:33 bernieb kernel: usb-uhci.c: interrupt, status 28, frame# 1064
Jun 17 23:17:33 bernieb kernel: usb-uhci.c: Host controller halted, trying to
restart.
Jun 17 23:55:00 bernieb kde(pam_unix)[1129]: session closed for user bernie
Jun 17 23:55:01 bernieb kernel: NVRM: AGPGART: freed 16 pages
Jun 17 23:55:01 bernieb kernel: NVRM: AGPGART: backend released
Jun 17 23:55:01 bernieb kernel: NVRM: AGPGART: VIA Apollo KT133 chipset
Jun 17 23:55:01 bernieb kernel: NVRM: AGPGART: aperture: 64M @ 0xe8000000
probe: modprobe: Can't locate module char-major-81
Jun 18 19:22:45 bernieb kde(pam_unix)[2303]: session opened for user bernie by
(uid=0)
Jun 18 19:22:55 bernieb modproobe: Can't locate module sound-slot-1
Jun 18 19:22:55 bernieb modprobe: modprobe: Can't locate module sound-service-1-0
Jun 18 19:22:55 bernieb modprobe: modprobe: Can't locate module sound-slot-1
Jun 18 19:22:55 bernieb modprobe: modprobe: Can't locate module sound-service-1-0
Jun 18 19:49:30 bernieb kernel: usb-uhci.c: interrupt, status 28, frame# 968
Jun 18 19:49:30 bernieb kernel: usb-uhci.c: Host controller halted, trying to
restart.
Jun 18 21:13:31 bernieb kernel: usb-uhci.c: interrupt, status 28, frame# 1001
Jun 18 21:13:31 bernieb kernel: usb-uhci.c: Host controller halted, trying to
restart.
Jun 18 23:14:32 bernieb kernel: usb-uhci.c: interrupt, status 28, frame# 1497
Jun 18 23:14:32 bernieb kernel: usb-uhci.c: Host controller halted, trying to
restart.
Jun 18 23:26:52 bernieb kernel: usb-uhci.c: interrupt, status 28, frame# 1977
Jun 18 23:26:52 bernieb kernel: usb-uhci.c: Host controller halted, trying to
restart.
Jun 18 23:47:38 bernieb kde(pam_unix)[2303]: session closed for user bernie
Jun 18 23:47:39 bernieb kernel: NVRM: AGPGART: freed 16 pages
Jun 18 23:47:39 bernieb kernel: NVRM: AGPGART: backend released
Jun 18 23:47:39 bernieb kernel: ------------[ cut here ]------------
Jun 18 23:47:39 bernieb kernel: kernel BUG at page_alloc.c:131!
Jun 18 23:47:39 bernieb kernel: invalid operand: 0000
Jun 18 23:47:39 bernieb kernel: CPU:    0
Jun 18 23:47:39 bernieb kernel: EIP:    0010:[<c0131b6a>]    Tainted: P
Jun 18 23:47:39 bernieb kernel: EFLAGS: 00013286
Jun 18 23:47:39 bernieb kernel:
Jun 18 23:47:39 bernieb kernel: EIP is at  (2.4.18-3custom)
Jun 18 23:47:39 bernieb kernel: eax: 00000020   ebx: c1130320   ecx: 00000001  
edx: 00002554
Jun 18 23:47:39 bernieb kernel: esi: 00000000   edi: c100000c   ebp: 00000000  
esp: ca875ea8
Jun 18 23:47:39 bernieb kernel: ds: 0018   es: 0018   ss: 0018
Jun 18 23:47:39 bernieb kernel: Process X (pid: 933, stackpage=ca875000)
Jun 18 23:47:39 bernieb kernel: Stack: c02351e2 00000083 c02d2880 c1130320
00000000 00000001 c1130320 00001000
Jun 18 23:47:39 bernieb kernel:        c1130320 c1130320 00001000 ca8f60ac
00000000 c0125992 c1130320 05d99067
Jun 18 23:47:39 bernieb kdm[925]: Server for display :0 terminated unexpectedly
Jun 18 23:47:39 bernieb kernel:        00000001 00000000 4002c000 ca877400
4002b000 00000000 4002c000 ca877400
Jun 18 23:47:39 bernieb kernel: Call Trace: [<c0125992>]
Jun 18 23:47:39 bernieb kernel: [<c011515a>]
Jun 18 23:47:39 bernieb kernel: [<c0125ee0>]
Jun 18 23:47:39 bernieb kernel: [<c012818f>]
Jun 18 23:47:39 bernieb kernel: [<c0109d1a>]
Jun 18 23:47:39 bernieb kernel: [<c0128264>]
Jun 18 23:47:39 bernieb kernel: [<c0108913>]
Jun 18 23:47:39 bernieb kernel:
Jun 18 23:47:39 bernieb kernel:
Jun 18 23:47:39 bernieb kernel: Code: 0f 0b 5f 5d c6 43 24 05 8b 43 18 89 f1 89
df 83 e0 eb 89 43
Jun 18 23:47:40 bernieb kernel:  <6>NVRM: AGPGART: VIA Apollo KT133 chipset
Jun 18 23:47:40 bernieb kernel: NVRM: AGPGART: aperture: 64M @ 0xe8000000
Jun 18 23:47:40 bernieb kernel: NVRM: AGPGART: aperture mapped from 0xe8000000
to 0xd5c1c000
Jun 18 23:47:40 bernieb kernel: NVRM: AGPGART: mode 4x
Jun 18 23:47:40 bernieb kernel: NVRM: AGPGART: allocated 16 pages
Jun 18 23:47:40 bernieb modprobe: modprobe: Can't locate module char-major-81
Jun 19 04:02:43 bernieb kernel: ------------[ cut here ]------------
Jun 19 04:02:43 bernieb kernel: kernel BUG at page_alloc.c:117!
Jun 19 04:02:43 bernieb kernel: invalid operand: 0000
Jun 19 04:02:43 bernieb kernel: CPU:    0
Jun 19 04:02:43 bernieb kernel: EIP:    0010:[<c0131aa7>]    Tainted: P
Jun 19 04:02:43 bernieb kernel: EFLAGS: 00013282
Jun 19 04:02:43 bernieb kernel:
Jun 19 04:02:43 bernieb kernel: EIP is at  (2.4.18-3custom)
Jun 19 04:02:43 bernieb kernel: eax: 00000020   ebx: c1188bec   ecx: 00000001  
edx: 000029a4
Jun 19 04:02:43 bernieb kernel: esi: 00000000   edi: c026203c   ebp: 00000000  
esp: c136bef8
Jun 19 04:02:43 bernieb kernel: ds: 0018   es: 0018   ss: 0018
Jun 19 04:02:43 bernieb kernel: Process kswapd (pid: 5, stackpage=c136b000)
Jun 19 04:02:43 bernieb kernel: Stack: c02351e2 00000075 ce2f2140 c1188bec
c013cb93 c1370270 c1370000 c1370000
Jun 19 04:02:43 bernieb kernel:        ce630e00 c1188bec c1188c08 c026203c
ce2f2140 c012f524 c1188bec 00000030
Jun 19 04:02:43 bernieb kernel:        c1188bec c1188c08 c026203c 0000003e
c0130ae6 00003212 c136a000 c0262064
Jun 19 04:02:43 bernieb kernel: Call Trace: [<c013cb93>]
Jun 19 04:02:43 bernieb kernel: [<c012f524>]
Jun 19 04:02:43 bernieb kernel: [<c0130ae6>]
Jun 19 04:02:43 bernieb kernel: [<c0130d9a>]
Jun 19 04:02:43 bernieb kernel: [<c0130ff7>]
Jun 19 04:02:43 bernieb kernel: [<c01312d1>]
Jun 19 04:02:43 bernieb kernel: [<c0105000>]
Jun 19 04:02:43 bernieb kernel: [<c0107136>]
Jun 19 04:02:43 bernieb kernel: [<c01311d0>]
Jun 19 04:02:43 bernieb kernel:
Jun 19 04:02:43 bernieb kernel:
Jun 19 04:02:43 bernieb kernel: Code: 0f 0b 5d 58 8b 3d d0 27 2d c0 89 d8 29 f8
69 c0 c5 4e ec c4

I have an NVidia Geforce card and I use the driver provided by NVIDIA.com.
My system went down sometime before the next entry after the log excerpt.  I'm
not sure if it is from a result of the bug or from some unrelated problem not
caught on the log.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.login to Xsession
2.logout
3.
	

Actual Results:  Usually the Xserver logsout user and brings up desktop manager
as normal, but leaves messages in logs.

Expected Results:  To not leave error messages in logs.

Additional info:
Comment 1 Arjan van de Ven 2002-06-20 02:54:01 EDT
Yup typical nvidia binary only driver bug.... I have a few dozen duplicates of
this exact bug, all of which have nvidia loaded and it never happens without it
loaded. I think you should try to get a different driver version... the current
one seems especially bad.
Comment 2 Knut J BJuland 2002-07-08 17:27:19 EDT
ksymoops 2.4.5 on i686 2.4.18-5acustom.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.4.18-5acustom/ (default)
     -m /boot/System.map-2.4.18-5acustom (default)

Warning: You did not tell me where to find symbol information.  I will
assume that the log matches the kernel and modules that are running
right now and I'll use the default options above for symbol resolution.
If the current kernel and/or modules do not match the log, you can get
more accurate output by telling me the kernel version and where to find
map, modules, ksyms etc.  ksymoops -h explains the options.

Jul  8 22:48:13 knut kernel: kernel BUG at page_alloc.c:131!
Jul  8 22:48:13 knut kernel: invalid operand: 0000
Jul  8 22:48:13 knut kernel: CPU:    0
Jul  8 22:48:13 knut kernel: EIP:    0010:[__free_pages_ok+265/768]    Tainted: PF
Jul  8 22:48:13 knut kernel: EIP:    0010:[<c0132c49>]    Tainted: PF
Using defaults from ksymoops -t elf32-i386 -a i386
Jul  8 22:48:13 knut kernel: EFLAGS: 00010296
Jul  8 22:48:13 knut kernel: eax: 00000020   ebx: c121e4e8   ecx: 00000001  
edx: 000022b9
Jul  8 22:48:13 knut kernel: esi: 00000000   edi: c1000030   ebp: 00000000  
esp: ca771eac
Jul  8 22:48:13 knut kernel: ds: 0018   es: 0018   ss: 0018
Jul  8 22:48:13 knut kernel: Process X (pid: 1564, stackpage=ca771000)
Jul  8 22:48:13 knut kernel: Stack: c02a29bc 00000083 c03d7520 c121e4e8 00000000
00000001 c121e4e8 ca76c0c0 
Jul  8 22:48:13 knut kernel:        c121e4e8 00008000 ca76c0c0 00007000 09af1027
c012662f c121e4e8 00000008 
Jul  8 22:48:13 knut kernel:        00000000 40031000 ca774400 40029000 00000000
40031000 ca774400 c01155ca 
Jul  8 22:48:13 knut kernel: Call Trace: [do_zap_page_range+399/592]
do_zap_page_range [kernel] 0x18f 
Jul  8 22:48:13 knut kernel: Call Trace: [<c012662f>] do_zap_page_range [kernel]
0x18f 
Jul  8 22:48:13 knut kernel: [<c01155ca>] do_page_fault [kernel] 0x12a 
Jul  8 22:48:14 knut kernel: [<c0126b80>] zap_page_range [kernel] 0x50 
Jul  8 22:48:14 knut kernel: [<c0128e7f>] do_munmap [kernel] 0x1ef 
Jul  8 22:48:14 knut kernel: [<c0128f54>] sys_munmap [kernel] 0x34 
Jul  8 22:48:14 knut kernel: [<c0108913>] system_call [kernel] 0x33 
Jul  8 22:48:15 knut kernel: Code: 0f 0b 5f 5d c6 43 24 05 8b 43 18 89 f1 89 dd
83 e0 eb 89 43 


>>EIP; c0132c49 <__free_pages_ok+109/300>   <=====

>>ebx; c121e4e8 <_end+e02e4c/104bd964>
>>edx; 000022b9 Before first symbol
>>edi; c1000030 <_end+be4994/104bd964>
>>esp; ca771eac <_end+a356810/104bd964>

Trace; c012662f <do_zap_page_range+18f/250>
Trace; c01155ca <do_page_fault+12a/45b>
Trace; c0126b80 <zap_page_range+50/80>
Trace; c0128e7f <do_munmap+1ef/290>
Trace; c0128f54 <sys_munmap+34/50>
Trace; c0108913 <system_call+33/38>

Code;  c0132c49 <__free_pages_ok+109/300>
00000000 <_EIP>:
Code;  c0132c49 <__free_pages_ok+109/300>   <=====
   0:   0f 0b                     ud2a      <=====
Code;  c0132c4b <__free_pages_ok+10b/300>
   2:   5f                        pop    %edi
Code;  c0132c4c <__free_pages_ok+10c/300>
   3:   5d                        pop    %ebp
Code;  c0132c4d <__free_pages_ok+10d/300>
   4:   c6 43 24 05               movb   $0x5,0x24(%ebx)
Code;  c0132c51 <__free_pages_ok+111/300>
   8:   8b 43 18                  mov    0x18(%ebx),%eax
Code;  c0132c54 <__free_pages_ok+114/300>
   b:   89 f1                     mov    %esi,%ecx
Code;  c0132c56 <__free_pages_ok+116/300>
   d:   89 dd                     mov    %ebx,%ebp
Code;  c0132c58 <__free_pages_ok+118/300>
   f:   83 e0 eb                  and    $0xffffffeb,%eax
Code;  c0132c5b <__free_pages_ok+11b/300>
  12:   89 43 00                  mov    %eax,0x0(%ebx)


1 warning issued.  Results may not be reliable.

I have ksymoops this error at got thesse log. Are this a bug in redhat kernel or
nvidia. Perhaps you in Redhat should work with Nvidia to resolve this issue.

Note You need to log in before you can comment on or make changes to this bug.